Highlighted

air 18 on iOS 9

Participant ,
Aug 30, 2015

Copy link to clipboard

Copied

Hey, So I wanted to test an app on Xcode 7/iOS 9 beta and I'm getting this error. I'm using flash builder 4.7 btw.

Error occurred while installing the application:
Unknown or unsupported SDK version: /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Develo per/SDKs/iPhoneSimulator.sdk

It runs fine on iOS 8 simulator. So does this mean that air 18 doesn't run on iOS 9? Sorry I don't have an actual device to install iOS 9 on.

Hello,

Thanks for reporting the issue.

This error is appearing because of not using correct xcode command line tools. Please set following properties -

1) Open xocde.

2) Xcode > Preferences > Locations > Command line tools

3) Set it to Xcode 7.

Also, please check following properties in flash builder > launch configuration -

1) Simulator SDK's location - /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs

2) Default Device - IPad

3) Simulator SDK Version - iPhoneSimulator9.0 sdk

Regards,

Mayank

TOPICS
Performance issues

Views

454

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

air 18 on iOS 9

Participant ,
Aug 30, 2015

Copy link to clipboard

Copied

Hey, So I wanted to test an app on Xcode 7/iOS 9 beta and I'm getting this error. I'm using flash builder 4.7 btw.

Error occurred while installing the application:
Unknown or unsupported SDK version: /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Develo per/SDKs/iPhoneSimulator.sdk

It runs fine on iOS 8 simulator. So does this mean that air 18 doesn't run on iOS 9? Sorry I don't have an actual device to install iOS 9 on.

Hello,

Thanks for reporting the issue.

This error is appearing because of not using correct xcode command line tools. Please set following properties -

1) Open xocde.

2) Xcode > Preferences > Locations > Command line tools

3) Set it to Xcode 7.

Also, please check following properties in flash builder > launch configuration -

1) Simulator SDK's location - /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs

2) Default Device - IPad

3) Simulator SDK Version - iPhoneSimulator9.0 sdk

Regards,

Mayank

TOPICS
Performance issues

Views

455

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 30, 2015 0
Adobe Employee ,
Aug 31, 2015

Copy link to clipboard

Copied

Hello,

Thanks for reporting the issue.

This error is appearing because of not using correct xcode command line tools. Please set following properties -

1) Open xocde.

2) Xcode > Preferences > Locations > Command line tools

3) Set it to Xcode 7.

Also, please check following properties in flash builder > launch configuration -

1) Simulator SDK's location - /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs

2) Default Device - IPad

3) Simulator SDK Version - iPhoneSimulator9.0 sdk

Regards,

Mayank

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 31, 2015 0
Participant ,
Aug 31, 2015

Copy link to clipboard

Copied

‌Ah, thanks. The Xcode location was the problem. It was set at Xcode 6.4 still. The fb4.7 de budding doesn't work like in iOS 8 though. It pops up   dialog box like if it was a real device. I'd hit ok but the debug isn't received by fb.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 31, 2015 0